cdbget(1)

NAME
cdbget - search for a record in a constant database

SYNOPSIS
cdbget key [ skip ]

DESCRIPTION
cdbget searches for a record with key key in a constant database. The constant database must be readable (and seekable) on cdbget's standard input.

Normally cdbget prints the data in the first record with key key and exits 0. If there is no record with the key key, cdbget exits 100 without printing anything.

If cdbget encounters a read error, write error, or database format error, it complains and exits 111.

Given a numeric skip argument, cdbget skips past the first skip records with key key, and prints the data in the next record.

SEE ALSO
cdbmake(1), cdbdump(1), cdbstats(1)